import request from '@/utils/request'

// 查询备品备件出入库列表
export function listSparepartsInOutStorage(query) {
	return request({
		url: '/device/sparepartsInOutStorage/list',
		method: 'get',
		params: query
	});
}

// 查询备品备件出入库详细
export function getSparepartsInOutStorage(rawOrderInSnId) {
	return request({
		url: '/device/sparepartsInOutStorage/' + rawOrderInSnId,
		method: 'get'
		});
}

// 新增备品备件出入库
export function addSparepartsInOutStorage(data) {
	return request({
		url: '/device/sparepartsInOutStorage',
		method: 'post',
		data: data
	});
}

// 修改备品备件出入库
export function updateSparepartsInOutStorage(data) {
	return request({
		url: '/device/sparepartsInOutStorage',
		method: 'put',
		data: data
	});
}

// 删除备品备件出入库
export function delSparepartsInOutStorage(rawOrderInSnId) {
	return request({
		url: '/device/sparepartsInOutStorage/' + rawOrderInSnId,
		method: 'delete'
	});
}
